Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovySyntaxError

- org.apache.groovy.parser.antlr4.GroovySyntaxError

-     public class GroovySyntaxError
      extends AssertionError

  Represents a syntax error of groovy program

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `LEXER` |
    `static int` | `PARSER` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovySyntaxError(String message, int source, int line, int column)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public int` | `getColumn()`
    `` | `public int` | `getLine()`
    `` | `public int` | `getSource()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AssertionError` | `addSuppressed, equals, fillInStackTrace, getCause, getClass, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, hashCode, initCause, notify, notifyAll, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final int LEXER

    - #### public static final int PARSER

  - ### Constructor Detail

    - #### public GroovySyntaxError(String message, int source, int line, int column)

  - ### Method Detail

    - #### public int getColumn()

    - #### public int getLine()

    - #### public int getSource()